Bug 1260087 (CVE-2015-5169) - CVE-2015-5169 struts: XSS vulnerability when devMode is turned on
Summary: CVE-2015-5169 struts: XSS vulnerability when devMode is turned on
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2015-5169
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1260091 1260092
Blocks: 1260090
TreeView+ depends on / blocked
 
Reported: 2015-09-04 12:03 UTC by Adam Mariš
Modified: 2019-09-29 13:36 UTC (History)
14 users (show)

Fixed In Version: struts-2.3.20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-19 09:40:05 UTC


Attachments (Terms of Use)

Description Adam Mariš 2015-09-04 12:03:40 UTC
When debug mode is switched on in Apache Struts, under certain conditions an arbitrary script may be executed in the 'Problem Report' screen. Affected versions are Struts 2.0.0 - 2.3.16.3.

External reference:

https://struts.apache.org/docs/s2-025.html

Comment 1 Adam Mariš 2015-09-04 12:07:53 UTC
Created struts tracking bugs for this issue:

Affects: fedora-all [bug 1260091]
Affects: epel-7 [bug 1260092]

Comment 2 Chess Hazlett 2019-09-17 20:27:19 UTC
Statement:

A previous statement by Red Hat related to this CVE, prior to August 2019, said that Apache Struts 2 is not included in any Red Hat products. This earlier statement was incorrect. While Struts 2 is not actively compiled, shipped, used, or enabled in any Red Hat provided final products, and does not cause any vulnerability in the product, struts2-core jars have been included in some products' source code packages. The inclusion was part of an import of the Google Guice repository, which includes struts2-core. Customers that build artefacts from our source code could be at risk. Red Hat will remove these artefacts from source code in future releases.

The products that included the Struts 2 artefacts in their source jars:
Fuse Service Works 6.0.0
Single Sign On 7.3.0+

If you have used the source package from one of these products to build artefacts on your system, you should do the following to remove potentially affected jars:
1. Run 'find . -name struts2*.jar' under the source location
2. Remove any files found
This will not affect the product, as the jar is included with the source of google-guice, but no functionality requiring struts2 is implemented.


Note You need to log in before you can comment on or make changes to this bug.